跳转到主要内容
监控与采集相关接口/性能剖析
PUTProfiling起始版本 1.0同步需要认证

更新限流配置

更新速率上限配置性能分析操作。

调试可用性

在线调试

使用当前认证信息和示例参数提交 Mock 请求。

请求参数

请求体字段

  • configObject必填

    配置信息。

    • cpuSessionGlobalPerMinInteger

      全局分钟上限CPU性能分析会话。

      示例: 10

    • heapSessionPerTenantPerMinInteger

      租户分钟上限堆性能分析会话。

      示例: 5

    • flameDataPerTenantPerMinInteger

      租户分钟上限火焰图数据请求。

      示例: 30

响应状态

200 OK

该 API 成功时返回以下响应结构。

  • cpuSessionGlobalPerMinInteger

    全局分钟上限CPU性能分析会话。

    示例: 10

  • heapSessionPerTenantPerMinInteger

    租户分钟上限堆性能分析会话。

    示例: 5

  • flameDataPerTenantPerMinInteger

    租户分钟上限火焰图数据请求。

    示例: 30

请求地址

PUT/api/v1/profiling/rate-limit-config

/api/v1/profiling/rate-limit-config

操作 ID

UpdateRateLimitConfig

永久链接

请求示例

curl -X PUT '{host}/api/v1/profiling/rate-limit-config' -H 'Authorization: Bearer {token}' -H 'Content-Type: application/json' -d '{"config":{"cpuSessionGlobalPerMin":10,"heapSessionPerTenantPerMin":5,"flameDataPerTenantPerMin":30}}'

响应示例

200
{
  "cpuSessionGlobalPerMin": 10,
  "heapSessionPerTenantPerMin": 5,
  "flameDataPerTenantPerMin": 30
}

变更历史

此 API 暂无变更历史记录。

查看全部变更历史